<tool id="eddy_correct" name="Correct eddy current distortions in a DTI file - old fsl version" version="1.0">
  <authors>
    <author name="Yaron Caspi" email="y.caspi@umcutrecht.nl" url="http://a.b/c"/>
  </authors>
  <command version="5.0.9" url="https://fsl.fmrib.ox.ac.uk/fsl/fslwiki/eddy_openmp">
    <authors>
		<author name="Jesper Andersson"/>
    </authors>
    <targets>
		<target os="linux" arch="*" bin="eddy_correct">
			<modules>
				<module> fsl/5.0.9  </module>
			</modules>
		</target>
    </targets>
    <description>
		Eddy_crrect - old fsl application for eddy current corrections
    </description>
  </command>
  <interface>
    <inputs>
      <input id="4dinput" name="4dinput" datatype="NiftiImageFile" order="1" cardinality="1" required="true"/>
      <input id="reference_no" name="reference_number" datatype="Int" order="3" cardinality="1" required="true"/>
	  <input id="interp" name="interp" cardinality="1" order="4" required="false">
		<enum>trilinear</enum>
		<enum>spline</enum>
	  </input>
    </inputs>
    <outputs>
		<output id="DWI_Corrected_File" name="DWI-Corrected-file" required="true" order="2" automatic="false" datatype="NiftiImageFile" cardinality="1"/>
     </outputs>
 </interface>	
  <help>
	Usage: eddy_correct {4dinput} {4doutput} {reference_no} [{interp}]
       Choose interp from {trilinear,spline} def - trilinear 
 </help>
</tool>
